org.apache.cassandra.utils

## Interface IFilter

- All Superinterfaces:
    java.lang.AutoCloseable, java.io.Closeable
  All Known Implementing Classes:
    AlwaysPresentFilter, BloomFilter, Murmur3BloomFilter

      public interface IFilter
      extends java.io.Closeable

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.nio.ByteBuffer key)`
    `void` | `clear()`
    `void` | `close()`
    `boolean` | `isPresent(java.nio.ByteBuffer key)`
    `long` | `serializedSize()`

- - ### Method Detail

    - #### add

          void add(java.nio.ByteBuffer key)

    - #### isPresent

          boolean isPresent(java.nio.ByteBuffer key)

    - #### clear

          void clear()

    - #### serializedSize

          long serializedSize()

    - #### close

          void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.io.Closeable`

Copyright © 2014 The Apache Software Foundation